if(!isObject(RocketLoopSound))
{
	datablock AudioProfile(rocketLoopSound)
	{
		filename    = "add-ons/weapon_rocket_launcher/rocketLoop.wav";
		description = AudioCloseLooping3d;
		preload = true;
	};
	datablock AudioProfile(rocketExplodeSound)
	{
		filename    = "add-ons/weapon_rocket_launcher/tntExplode.wav";
		description = AudioDefault3d;
		preload = true;
	};
}

datablock ParticleData(AirstrikeExplosionParticle)
{
   dragCoefficient      = 4;
   gravityCoefficient   = -0.6;
   inheritedVelFactor   = 0.3;
   constantAcceleration = 0.2;
   lifetimeMS           = 3200;
   lifetimeVarianceMS   = 800;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 5.0;
   spinRandomMin		= -10.0;
   spinRandomMax		= 10.0;
   colors[0]     = "0.9 0.3 0.0 0.7";
   colors[1]     = "0.8 0.6 0.5 0.6";
   colors[2]     = "0.1 0.1 0.1 0.0";
   sizes[0]      = 8.0;
   sizes[1]      = 64.0;
   sizes[2]      = 24.0;
   times[0] = 0.0;
   times[1] = 0.6;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(AirstrikeExplosionEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = 35;
   velocityVariance = 15;
   ejectionOffset   = 1.0;
   thetaMin         = 90;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "AirstrikeExplosionParticle";
};

datablock ParticleData(AirstrikeExplosionParticle2)
{
   dragCoefficient      = 1.3;
   gravityCoefficient   = -1.2;
   inheritedVelFactor   = 1.5;
   constantAcceleration = 0.0;
   lifetimeMS           = 3500;
   lifetimeVarianceMS   = 500;
   textureName          = "base/data/particles/cloud";
   spinSpeed			= 20.0;
   spinRandomMin		= -10.0;
   spinRandomMax		= 10.0;
   colors[0]     = "0.8 0.8 0.75 1";
   colors[1]     = "0.4 0.4 0.4 0.8";
   colors[2]     = "0.0 0.0 0.0 0.0";
   sizes[0]      = 6.0;
   sizes[1]      = 15.0;
   sizes[2]      = 22.0;
   times[0] = 0.0;
   times[1] = 0.65;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(AirstrikeExplosionEmitter2)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 40;
   velocityVariance = 10;
   ejectionOffset   = 3.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "AirstrikeExplosionParticle2";
};

datablock ParticleData(AirstrikeExplosionRingParticle)
{
   dragCoefficient      = 10;
   gravityCoefficient   = -1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 600;
   lifetimeVarianceMS   = 0;
   textureName          = "base/data/particles/thinring";
   spinSpeed		= 0;
   spinRandomMin		= 0.0;
   spinRandomMax		= 0.0; //Spinning a ring is not productive
   colors[0]     = "0.3 0.3 0.9 0.9";
   colors[1]     = "0.7 0.7 1.0 0.1";
   sizes[0]      = 3;
   sizes[1]      = 48;

   useInvAlpha = false;
};
datablock ParticleEmitterData(AirstrikeExplosionRingEmitter)
{
   lifeTimeMS = 300;

   ejectionPeriodMS = 30;
   periodVarianceMS = 0;
   ejectionVelocity = 3;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 179;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "AirstrikeExplosionRingParticle";
};


datablock ParticleData(AirstrikeExplosionChunkParticle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = 6;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1400;
   lifetimeVarianceMS   = 1300;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.5 0.4 0.4 0.8";
   colors[1]     = "0.0 0.0 0.0 0.8";
   sizes[0]      = 1.5;
   sizes[1]      = 1.5;

   useInvAlpha = true;
};
datablock ParticleEmitterData(AirstrikeExplosionChunkEmitter)
{
   lifeTimeMS = 35;

   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 55;
   velocityVariance = 16;
   ejectionOffset   = 3.0;
   thetaMin         = 120;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "AirstrikeExplosionChunkParticle";
};


datablock ExplosionData(AirstrikeExplosion)
{
   explosionShape = "add-ons/weapon_rocket_launcher/explosionSphere1.dts";
   soundProfile = rocketExplodeSound;

   lifeTimeMS = 300;

   particleEmitter = AirstrikeExplosionEmitter;
   particleDensity = 25;
   particleRadius = 6.2;

   emitter[0] = AirstrikeExplosionRingEmitter;
   emitter[1] = AirstrikeExplosionChunkEmitter;
   emitter[2] = AirstrikeExplosionEmitter2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 13.0 10.0";
   camShakeAmp = "4.0 15.0 4.0";
   camShakeDuration = 0.5;
   camShakeRadius = 35.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 0.7 0.5 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 26;
   radiusDamage = 450;

   impulseRadius = 8;
   impulseForce = 4000;

   playerBurnTime = 5000;
};

/////////////////
//  Projectile //
/////////////////

datablock ParticleData(AirstrikeTrailParticle)
{
   dragCoefficient      = 2.5;
   gravityCoefficient   = 0.1;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1500;
   lifetimeVarianceMS   = 150;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.9 0.9 1.0 1.0";
   colors[1]     = "0.2 0.2 0.3 0.0";
   sizes[0]      = 2;
   sizes[1]      = 0.2;
   times[0] 	 = 0;
   times[1] 	 = 1;

   useInvAlpha = false;
};
datablock ParticleEmitterData(AirstrikeTrailEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "AirstrikeTrailParticle";
};

datablock ProjectileData(AirstrikeProjectile)
{
   projectileShapeName = "add-ons/weapon_rocket_launcher/rocketprojectile.dts";
   directDamage        = 200;
   directDamageType = $DamageType::RocketDirect;
   radiusDamageType = $DamageType::RocketRadius;
   impactImpulse	   = 1000;
   verticalImpulse	   = 1000;
   explosion           = AirstrikeExplosion;
   particleEmitter     = AirstrikeTrailEmitter;
   
   sound				= RocketLoopSound;

   brickExplosionRadius = 22;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 135;             
   brickExplosionMaxVolume = 65;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 85;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   muzzleVelocity      = 125;
   velInheritFactor    = 1.0;

   armingDelay         = 200;
   lifetime            = 6000;
   fadeDelay           = 11500;
   isBallistic         = true;
   gravityMod = 0.0;

   uiName = "Airstrike";
};