//Radio Beacon
//I'm not going to describe it here, just read the description file. It's there for a reason.

datablock AudioProfile(BeaconBeepSound)
{
	filename    = "./beepbeep.wav";
	description = AudiodefaultLooping3d;
	preload = true;
};

//Active projectile
datablock ParticleData(RadioBeaconBlipParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 400;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -10.0;
	spinRandomMax		= 10.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/thinring";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
	colors[0]	= "1.0 0 0 0.8";
	colors[1]	= "1.0 0 0 0.4";

	sizes[0]	= 2.0;
	sizes[1]	= 0.0;

	times[0]	= 0;
	times[1]	= 1;
};

datablock ParticleEmitterData(RadioBeaconBlipEmitter)
{
   ejectionPeriodMS = 400;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 90;
   overrideAdvance = false;
   particles = "RadioBeaconBlipParticle";
   uiName = "Beacon Blip";
};

datablock ExplosionData(RadioBeaconExplosion) //A way to play a sound when it hits.
{
   soundProfile = "PlayerMountSound";
   lifeTimeMS = 50;
};

//projectile
datablock ProjectileData(RadioBeaconProjectile)
{
   sound				= BeaconBeepSound;
   projectileShapeName = "./AirBeacon.dts";
   directDamage        = 0;
   directDamageType  = $DamageType::RocketDirect;
   radiusDamageType  = $DamageType::RocketRadius;
   particleEmitter     = RadioBeaconBlipEmitter;

   muzzleVelocity      = 35;
   velInheritFactor    = 0;

   Explosion        = RadioBeaconExplosion;

   armingDelay         = 10; 
   lifetime            = 10000;
   fadeDelay           = 20000;
   bounceAngle         = 180;
   bounceElasticity    = 0.4;
   bounceFriction      = 0.9;
   isBallistic         = true;
   gravityMod = 0.6;
   explodeOnDeath = true;

   hasLight    = true;
   lightRadius = 6.0;
   lightColor  = "0.9 0.0 0.0";
};

//////////
// item //
//////////
datablock ItemData(RadioBeaconItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./AirBeacon.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Airstrike Beacon";
	iconName = "./Icon_AirStrikeBeacon";
	doColorShift = true;
	colorShiftColor = "1 1 1 1";

	 // Dynamic properties defined by the scripts
	image = RadioBeaconImage;
	canDrop = true;
};

datablock ShapeBaseImageData(radioBeaconImage)
{
   // Basic Item properties
   shapeFile = "./AirBeacon.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   //eyeOffset = "0.1 0.2 -0.55";

   doColorShift = true;
   colorShiftColor = "1 1 1 1";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = RadioBeaconItem;
   ammo = " ";
   projectile = RadiobeaconProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   //casing = " ";
   doColorShift = true;
   colorShiftColor = "1 1 1 1";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.1;
	stateTransitionOnTimeout[0]	= "Ready";
	stateSequence[0]		= "ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Charge";
	stateAllowImageChange[1]	= true;

	stateName[2]                    = "Charge";
	stateTransitionOnTimeout[2]	= "Armed";
	stateTimeoutValue[2]            = 0.7;
	stateWaitForTimeout[2]		= false;
	stateTransitionOnTriggerUp[2]	= "AbortCharge";
	stateScript[2]                  = "onCharge";
	stateAllowImageChange[2]        = false;
	
	stateName[3]			= "AbortCharge";
	stateTransitionOnTimeout[3]	= "Ready";
	stateTimeoutValue[3]		= 0.3;
	stateWaitForTimeout[3]		= true;
	stateScript[3]			= "onAbortCharge";
	stateAllowImageChange[3]	= false;

	stateName[4]			= "Armed";
	stateTransitionOnTriggerUp[4]	= "Fire";
	stateAllowImageChange[4]	= false;

	stateName[5]			= "Fire";
	stateTransitionOnTimeout[5]	= "Done";
	stateTimeoutValue[5]		= 0.5;
	stateFire[5]			= true;
	stateSequence[5]		= "fire";
	stateScript[5]			= "onFire";
	stateWaitForTimeout[5]		= true;
	stateAllowImageChange[5]	= false;

	stateName[6]					= "Done";
	stateScript[6]					= "onDone";

};

package RadioBeaconPackage
{
	function Armor::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f)
	{
		if(%col.dataBlock $= "RadioBeaconItem" && %col.canPickup)
		{
			for(%i=0;%i<%this.maxTools;%i++)
			{
				%item = %obj.tool[%i];
				if(%item $= 0 || %item $= "")
				{
					%freeSlot = 1;
					break;
				}
			}

			if(%freeSlot)
			{
				%obj.pickup(%col);
				return;
			}
		}
		Parent::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f);
	}
};
activatePackage(RadioBeaconPackage);

function RadioBeaconImage::onCharge(%this, %obj, %slot)
{
	%obj.playthread(2, spearReady);
	%obj.lastHESlot = %obj.currTool;
}

function RadioBeaconImage::onAbortCharge(%this, %obj, %slot)
{
	%obj.playthread(2, root);
}

function RadioBeaconImage::onFire(%this, %obj, %slot)
{
	%obj.playthread(2, spearThrow);
	Parent::OnFire(%this, %obj, %slot);

	%currSlot = %obj.lastHESlot;
	%obj.tool[%currSlot] = 0;
	%obj.weaponCount--;
	messageClient(%obj.client,'MsgItemPickup','',%currSlot,0);
	serverCmdUnUseTool(%obj.client);
}

function RadioBeaconImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

function RadioBeaconProjectile::OnExplode(%this,%obj,%pos)
{
	%spawn = vectoradd(%pos, getRandom(20, -20) SPC "-500 50");
	addAirstrikePlane(%spawn, %obj.client, %pos);
}
